AuditEvent.FieldName (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.audit

## Enum AuditEvent.FieldName

- java.lang.Object
- - java.lang.Enum<AuditEvent.FieldName>
  - - org.apache.zookeeper.audit.AuditEvent.FieldName

- All Implemented Interfaces:
    Serializable, Comparable<AuditEvent.FieldName>
  Enclosing class:
    AuditEvent

      public static enum AuditEvent.FieldName
      extends Enum<AuditEvent.FieldName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACL`
    `IP`
    `OPERATION`
    `SESSION`
    `USER`
    `ZNODE`
    `ZNODE_TYPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditEvent.FieldName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditEvent.FieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER

          public static final AuditEvent.FieldName USER

    - #### OPERATION

          public static final AuditEvent.FieldName OPERATION

    - #### IP

          public static final AuditEvent.FieldName IP

    - #### ACL

          public static final AuditEvent.FieldName ACL

    - #### ZNODE

          public static final AuditEvent.FieldName ZNODE

    - #### SESSION

          public static final AuditEvent.FieldName SESSION

    - #### ZNODE_TYPE

          public static final AuditEvent.FieldName ZNODE_TYPE

  - ### Method Detail

    - #### values

          public static AuditEvent.FieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditEvent.FieldName c : AuditEvent.FieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditEvent.FieldName valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.